### conf file header (compacted)
li:pcb-rnd-conf-v1 { ha:overwrite { ha:plugins { ha:export_xy { li:templates {

### tempalates

# classis gEDA/PCB xy #########################################################
xy.name = pcb xy
xy.hdr = {# $Id$
# PcbXY Version 1.0
# Date: %UTC%
# Author: %author%
# Title: %title% - PCB X-Y
# RefDes, Description, Value, X, Y, rotation, top/bottom
# X,Y in %suffix%.  rotation in degrees.
# --------------------------------------------
}
xy.subc = {%subc.refdes%,"%subc.footprint%","%subc.value%",%subc.x%,%subc.y%,%subc.rot%,%subc.side%
}

# gxyrs #######################################################################
gxyrs.name = gxyrs
gxyrs.hdr = {#gxyrs version 1.0
#Date: %UTC%
#Author: %author%
#Title: %title% - pcb-rnd gxyrs
#Placement data:
#Designator X-Loc Y-Loc Rotation Side Type X-Size Y-Size Value Footprint
# --------------------------------------------
}

gxyrs.subc = {%subc.refdes_% %subc.x% %subc.y% %subc.rot% %subc.side% %subc.pad_width% %subc.pad_height% %subc.value_% %subc.footprint_%
}


# macrofab ####################################################################
macrofab.name = Macrofab
macrofab.hdr = {#pcb-rnd Macrofab export version 1.0
#Date: %UTC%
#Author: %author%
#Title: %title% - pcb-rnd Macrofab export
#Placement data:
#Designator X-Loc Y-Loc Rotation Side Type X-Size Y-Size Value Footprint
# --------------------------------------------
}
macrofab.subc = {%subc.refdes_%	%subc.padcx%	%subc.padcy%	%subc.rot%	%subc.num-side%	%subc.smdvsthrunum%	%subc.pad_width_prerot%	%subc.pad_height_prerot%	%subc.value_%	%subc.footprint_%	%subc.a.macrofab::DNP?0:1%	%subc.a.macrofab::MPN|<unspecified-MPN>%
}

# TM220/TM240 #################################################################
tm220.name = TM220/TM240
tm220.hdr = {#pcb-rnd TM220A/TM240A xyrs version 1.0
#Date: %UTC%
#Author: %author%
#Title: %title% - pcb-rnd gxyrs
#Placement data:
#RefDes, top/bottom, X, Y, rotation
# X,Y in %suffix%.  rotation in degrees.
# --------------------------------------------
}

tm220.subc = {%subc.refdes%,%subc.side%,%subc.x%,%subc.y%,%subc.rot%
}

# KiCad .pos file #############################################################
kicad_pos.name = {KiCad .pos}
kicad_pos.hdr = {###pcb-rnd KiCad .pos compatible xyrs version 1.0
###Date: %UTC%, Author: %author%, Title: %title% - pcb-rnd gxyrs
## Unit = %suffix%., Angle = degrees.
#, Ref, Val, Package, PosX, PosY, Rot, Side
}
kicad_pos.subc = {,"%subc.refdes%","%subc.value%","%subc.footprint%",%subc.x%,%subc.y%,%subc.rot%,%subc.side%
}

# ncap (work in progress) #####################################################
ncap.name = {ncap export (WIP)}
ncap.hdr = {ncapture 0
4
%boardw%
%boardh%
80hmmm
-30hmmm;
}

ncap.subc = {%subc.count%
0
%subc.pincount%
1
%subc.refdes%
%subc.90rot%
%subc.x%
%subc.y%
0
}
ncap.term = {%term.netname%
}

### conf file footer (compacted)
} } } } }
